package info.bukova.isspst.services.workgroups;

import info.bukova.isspst.services.IsspstException;

public class WorkgroupException extends IsspstException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1729975111741519801L;
	
	public final static String NO_WORGROUP = "WorkgroupNotAllowed";
	public final static String MSUT_HAS_CENTER = "RoleMustHasCentre";
	public final static String MUST_HAS_WORKGROUP = "WorkgroupMustHasCentre";
	public final static String CYCLIC_MEMBER = "CyclicMembership";
	public final static String HAS_PARENT = "WorkgroupIsInWorkgroup";
	
	public WorkgroupException(String message) {
		super(message);
		setReason(message);
	}

}
